
Name:    prboom-plus
Version: 2.5.1.3
Release: 3%{?dist}
Summary: Free enhanced DOOM engine
Group:   Amusements/Games
URL:     http://prboom-plus.sourceforge.net/
License: GPLv2+ and MIT and Public Domain and BSD and LGPLv2+

Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1: %{name}.desktop
Source2: %{name}.png

Patch0:  %{name}-%{version}-replace-mktemp-with-mkstemp.patch

Requires:      freedoom

BuildRequires: dumb-devel fluidsynth-devel pcre-devel libpng-devel
BuildRequires: SDL_image-devel SDL_mixer-devel SDL_net-devel libGLU-devel
BuildRequires: desktop-file-utils

%description
Doom is a classic 3D shoot-em-up game.
PrBoom+ is a Doom source port developed from the original PrBoom project
by Andrey Budko.
The target of the project is to extend the original port with features
that are necessary or useful.


%prep
%setup -q

%patch0 -p1

# fixing the FSF address
sed -i 's|59 Temple Place - Suite 330, Boston, MA  02111-1307, USA|51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA|' COPYING

%build
%configure --prefix=/usr \
           --with-waddir=%{_datadir}/doom \
           --disable-cpu-opt \
           --enable-gl

make %{?_smp_mflags}


%install
make DESTDIR=%{buildroot} docdir=%{_docdir}/%{name} install

# fixing the bin path
mv %{buildroot}/usr/games %{buildroot}%{_bindir}

# desktop + icons
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
install -Dpm 644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/%{name}.png


%files
%{_docdir}/*
%{_bindir}/*
%{_datadir}/doom/*
%{_mandir}/man5/*
%{_mandir}/man6/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Thu Nov 07 2013 Jaromir Capik <jcapik@redhat.com> - 2.5.1.3-3
- Replacing mktemp with mkstemp to satisfy rpmlint

* Thu Nov 07 2013 Jaromir Capik <jcapik@redhat.com> - 2.5.1.3-2
- Fixing the license tag

* Mon Nov 04 2013 Jaromir Capik <jcapik@redhat.com> - 2.5.1.3-1
- Initial package
